SSLHostConfigCertificate.Type (Apache Tomcat 10.1.57 API Documentation)
Description: declaration: package: org.apache.tomcat.util.net, class: SSLHostConfigCertificate, enum: Type

# Enum SSLHostConfigCertificate.Type

java.lang.Object
java.lang.Enum<SSLHostConfigCertificate.Type>
org.apache.tomcat.util.net.SSLHostConfigCertificate.Type

All Implemented Interfaces:
  `Serializable, Comparable<SSLHostConfigCertificate.Type>, java.lang.constant.Constable`

Enclosing class:
  `SSLHostConfigCertificate`

public static enum SSLHostConfigCertificate.Type extends Enum<SSLHostConfigCertificate.Type>
Defines the types of SSL certificates supported.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DSA`
  DSA certificate type.
  `EC`
  Elliptic Curve certificate type.
  `MLDSA`
  ML-DSA certificate type.
  `RSA`
  RSA certificate type.
  `UNDEFINED`
  Unspecified certificate type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getKeyType()`
  Returns the key type for this certificate type.
  `boolean`
  `isCompatibleWith(Authentication au)`
  Checks if this certificate type is compatible with the given authentication type.
  `boolean`
  `isCompatibleWith(SignatureScheme scheme)`
  Checks if this certificate type is compatible with the given signature scheme.
  `static SSLHostConfigCertificate.Type`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static SSLHostConfigCertificate.Type[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNDEFINED

    public static final SSLHostConfigCertificate.Type UNDEFINED
    Unspecified certificate type.

  - ### RSA

    public static final SSLHostConfigCertificate.Type RSA
    RSA certificate type.

  - ### DSA

    public static final SSLHostConfigCertificate.Type DSA
    DSA certificate type.

  - ### EC

    public static final SSLHostConfigCertificate.Type EC
    Elliptic Curve certificate type.

  - ### MLDSA

    public static final SSLHostConfigCertificate.Type MLDSA
    ML-DSA certificate type.

- ## Method Details

  - ### values

    public static SSLHostConfigCertificate.Type[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static SSLHostConfigCertificate.Type valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isCompatibleWith

    public boolean isCompatibleWith(Authentication au)
    Checks if this certificate type is compatible with the given authentication type.
    Parameters:
      `au` - the authentication type to check
    Returns:
      true if compatible

  - ### isCompatibleWith

    public boolean isCompatibleWith(SignatureScheme scheme)
    Checks if this certificate type is compatible with the given signature scheme.
    Parameters:
      `scheme` - the signature scheme to check
    Returns:
      true if compatible

  - ### getKeyType

    public String getKeyType()
    Returns the key type for this certificate type.
    Returns:
      the key type string